Page MenuHomePhabricator

Review and integrate external banner development work
Closed, ResolvedPublic1 Estimated Story Points

Description

Deploy the html banner code delivered by the contractor Mr. Hansch via github.

Planned for week 39 (from September 21st)

The code is now available here:

https://github.com/DanielDIQA/community-banners

Notes

  • integrate banner code
  • look at event logging to see if it works correctly
  • remove targeting code (registration date and number of edits) from earlier campaigns that might still be there
  • Fix babel issues on IE11

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2020, 12:53 PM
Christine_Domgoergen_WMDE renamed this task from Deploy Banner Code for Central Notice Campaign to Review and integrate external banner development work.Sep 18 2020, 9:50 AM
Christine_Domgoergen_WMDE updated the task description. (Show Details)

@kai.nissen Hey Kai, the contractor finished the banner development, you can find all code in the github fork. Could you integrate the code to see if everything works? Thank you! Please let me know if you need anything else!

kai.nissen updated the task description. (Show Details)
kai.nissen set the point value for this task to 5.
AbbanWMDE moved this task from Todo to Doing on the WMDE-FUN-Sprint-2020-09-14 board.

@AbbanWMDE Hey Abban, just fyi: we are currently asking the contractor to do some minor changes because the design is not implemented correctly in all banner sizes (see task https://phabricator.wikimedia.org/T262670. I will let you and Kai know, when the changes are implemented.

AbbanWMDE removed AbbanWMDE as the assignee of this task.Sep 25 2020, 10:51 AM
AbbanWMDE moved this task from Doing to Todo on the WMDE-FUN-Sprint-2020-09-14 board.
AbbanWMDE moved this task from Todo to Blocked externally on the WMDE-FUN-Sprint-2020-09-14 board.
AbbanWMDE added a subscriber: AbbanWMDE.
kai.nissen updated the task description. (Show Details)Sep 28 2020, 10:10 AM
kai.nissen changed the point value for this task from 5 to 1.
kai.nissen updated the task description. (Show Details)
kai.nissen closed this task as Resolved.Oct 12 2020, 11:48 AM